Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc
Class CaseInsensitiveFunctionTable

    java.lang.Object
      com.singularsys.jep.FunctionTable
          com.singularsys.jep.misc.CaseInsensitiveFunctionTable

All Implemented Interfaces:
  JepComponent, java.io.Serializable

    public class CaseInsensitiveFunctionTable

extends FunctionTable

A version of a function table which is case insensitive.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.FunctionTable
`table`

Constructor Summary
`CaseInsensitiveFunctionTable()`

Method Summary
`PostfixMathCommandI` | `addFunction(java.lang.String name, PostfixMathCommandI pfmc)`
`boolean` | `containsKey(java.lang.String key)`
`PostfixMathCommandI` | `getFunction(java.lang.String name)`
`FunctionTable` | `shallowCopy()` Returns a new shallow copy of this function table.

Methods inherited from class com.singularsys.jep.FunctionTable
`clear, containsValue, entrySet, getLightWeightInstance, init, isEmpty, keySet, remove, size, toString, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaseInsensitiveFunctionTable

    public CaseInsensitiveFunctionTable()

Method Detail

### getFunction

    public PostfixMathCommandI getFunction(java.lang.String name)

  Overrides:
    `getFunction` in class `FunctionTable`

### addFunction

    public PostfixMathCommandI addFunction(java.lang.String name,
                                           PostfixMathCommandI pfmc)

  Overrides:
    `addFunction` in class `FunctionTable`

### containsKey

    public boolean containsKey(java.lang.String key)

  Overrides:
    `containsKey` in class `FunctionTable`

### shallowCopy

    public FunctionTable shallowCopy()

  Description copied from class: `FunctionTable`
  Returns a new shallow copy of this function table. The entries in the table refer to the the same instances of the postfix math commands. If sub-classes use pfmc's which are not thread safe they should override this methods and set a new instance for the table.

  Overrides:
    `shallowCopy` in class `FunctionTable`
  Returns:
    a new shallow copy of this function table

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep